@openwop/spec-artifacts 2.12.0 → 2.13.0

This diff represents the content of publicly available package versions that have been released to one of the supported registries. The information contained in this diff is provided for informational purposes only and reflects changes between package versions as they appear in their respective public registries.
package/CORPUS-STAMP.json CHANGED
@@ -1,17 +1,17 @@
1
1
  {
2
2
  "_comment": "Provenance of @openwop/spec-artifacts (RFC 0168 §D.2). files: SHA-256 per file; the conformance suite compares the installed peer against dist/spec-artifacts.lock.json at start.",
3
3
  "package": "@openwop/spec-artifacts",
4
- "version": "2.12.0",
5
- "corpusTag": "v2.12.0",
4
+ "version": "2.13.0",
5
+ "corpusTag": "v2.13.0",
6
6
  "files": {
7
7
  "api/.redocly.lint-ignore.yaml": "bf5a8350b88a72fa43f59605ed8d903ed24b6cfccda5e45509c9f6ed9ee4e712",
8
8
  "api/asyncapi.yaml": "d5ecb9ee6114582be3b1f662c84bfac9ae96dae7bacb853e461168f70a8e1c7d",
9
9
  "api/grpc/openwop.proto": "c3e72bb17cba514ee98feb6434e6c9b6ea6795bfd086489ec69fd882dd1ad977",
10
10
  "api/openapi.yaml": "39081c59fb696159806b0f2f9a42e7e9ff830d622fcf2ad4159b21357580a955",
11
11
  "api/redocly.yaml": "b0604c89b2ca6d5076ec25725c539dad44a741a811fe524439ee6daef8baa09f",
12
- "api/seams-v2.yaml": "0bba1a743a9cbcbc2bca8d44c3e37f6d19f116ef616235c4bcd66c7921363449",
13
- "api/v2/asyncapi.yaml": "0de2007a06a46562708db32d03ca71d669a9b48517d5bbaca104667d9f3028d8",
14
- "api/v2/openapi.yaml": "0b352cdd7ecd7abbb5a2d0cf868f021c202773996a1627fc7db0c7ca0e24892e",
12
+ "api/seams-v2.yaml": "37cf2ecfc6b5f14138e29f59f197c9c563798225d0df0d4362dfebfbe4b1b5f5",
13
+ "api/v2/asyncapi.yaml": "fa37177b205eb4c5d5eb98b48ff6fa0da3e4e93d249a608ed669515e2bca1853",
14
+ "api/v2/openapi.yaml": "1ca7eaedc9f54b88ac6ee4d5018a624b9ce7affbe83493cf81a91e73bb8a653b",
15
15
  "api/v2/redocly.yaml": "1e66b60e6118ad11a823bb620678be464d99dfe50a40e3e6f93ec9429b88b34c",
16
16
  "schemas/README.md": "0c0b737ffcf8f30e7d2809cec8a498232de710f41443212922ad8337cdde0b51",
17
17
  "schemas/a2a-task-state.schema.json": "c9365918f993f943b4b619d42551eb066a1ed33a08d895d51b395432a5b1f1bc",
@@ -201,13 +201,13 @@
201
201
  "schemas/workspace-file.schema.json": "464de85c2a068243084ee9c1d969bc7cd5d8f7948574e58450d6493c38a0e1e4",
202
202
  "spec/v1/alias-detectors.json": "40069d5976eeb6ba1384a648e57e5cfd673db3fce36175115fb8293bee9664d4",
203
203
  "spec/v1/capability-declaration-classes.json": "e7729aed5c4b4e1dd02abab0530f14cc95f5d4070fe51fb139e7f5cccefa00c6",
204
- "spec/v1/core-standard-manifest.json": "759429b6160ff41c3425771be09655179bffd550b1318d72e7b39ad31556d805",
204
+ "spec/v1/core-standard-manifest.json": "56a6b748b2439227e2a2fdba01481a1bd002a338265d9594ccd457ef7c5c353f",
205
205
  "spec/v1/deprecations.json": "307083ce29c23fd406015951f99a30d78d6187ff061d38dc9732f62191b40f3f",
206
206
  "spec/v1/deprecations.schema.json": "18c87e78bedc210431f795ae44c5b5d202f2f3317850d5cf86867d4f1fa1cdfb",
207
207
  "spec/v1/event-codemap.json": "3da60d884157793a360da532a9fcbbfb5285636db325a74cec94b34622186d97",
208
208
  "spec/v1/event-codemap.schema.json": "d05933b2e88103aff51a2f774df97b9bda065e0fc88dbd9b114cc47a32189174",
209
209
  "spec/v1/extensions.json": "79a60754aa16cbdbdb604f8e5c00038af535a1690a4d07bd5ff7c38f0256a7bc",
210
- "spec/v1/gaps.json": "ea0b23c99831d92acd0cc4690ee455363f17ec5c2aa96dfc1e144d6da46c5b82",
210
+ "spec/v1/gaps.json": "32e995668775a34a2f9df2dd61f62a20424dc39c1a48b2a490438ed12f277866",
211
211
  "spec/v1/gaps.schema.json": "8fd83259f556553c9df0f53e7a82ca8c2a4771d471197f69b4e2ae0ceeacfd66",
212
212
  "spec/v1/migrations.json": "8839497d6a4830b53fa7867014a8336f0d725ef2346352e54fb580b7947897af",
213
213
  "spec/v1/migrations.schema.json": "886779aa6c22e646db097f5df210adb018a4dd14a7b815465a18c8a7056c8f72",
@@ -222,19 +222,19 @@
222
222
  "spec/v2/core/form-content-packs.md": "af3517dd7125106088249c0e32220b0b9fc3e9304c10378a6327cc8ad84b6bf1",
223
223
  "spec/v2/core/headers.md": "14cdf4ae9ee7d80eebfd426d7c3552e577baea0300915cd4bb3a68e8588195a8",
224
224
  "spec/v2/core/idempotency.md": "e4edae1834101fd331379d84de77eaa9cead49383529c31f8bcd18322f67c965",
225
- "spec/v2/core/identity.md": "ae24870df315b527dfe9ecf7a4c26582bcc1113da7954f44acf69bf463ac390d",
226
- "spec/v2/core/interop.md": "8d8f4b040cb3625044c6aa586c8dcf5e9d15797de3d3b1cea631f44b8924701c",
225
+ "spec/v2/core/identity.md": "1effd9ecdddd5bdbb13efa4f673e71e0209217f78adf2e5ec1496780a85a6126",
226
+ "spec/v2/core/interop.md": "c3104f86d57b0e62f4c71de00e3deca3ca604f8723be214624df1f90b7efa49a",
227
227
  "spec/v2/core/interrupt.md": "3a926d84b942d4ee7daccc4443c93dc29f6a69f2936ba813182f2c1336db2cbb",
228
228
  "spec/v2/core/overview.md": "7dc00ace32d4e4ce929a383651f0029fc4b7091ec87487b1bf26ead1be209e0e",
229
229
  "spec/v2/core/packs.md": "cc06de2d49dd08410eececd5c279996ec839680553b332b4f33d6b31989b5757",
230
230
  "spec/v2/core/persistence.md": "9e241f84259e38848f4a2ad1c21debb0dffd5f8aafbad26408aa6cc8969bf93b",
231
231
  "spec/v2/core/replay.md": "10cc01bf9e4e921fcfac740f3174b2e95cda7ba9a1e13e85cf371c8c2d0fa46a",
232
- "spec/v2/core/runs.md": "b4c0bb2869077fcbf26e15bc6bbac06819f68b8241944b903a275a37db1c71fa",
232
+ "spec/v2/core/runs.md": "fe6881ce89d2b494d5458373a01dafa365fc684f4fd2b6f9c541b4839e783238",
233
233
  "spec/v2/core/security-defaults.md": "9ab1d1a88ccd0929f354422b151ec6d3164e8cd3784f8e58bb6f11cb7ee1e7d5",
234
234
  "spec/v2/core/versioning.md": "27b88cde88f9060567ef7e46f4897b6be8892ade9f4a46c2ab16e314c515eabd",
235
235
  "spec/v2/core/webhooks.md": "46c1311c1897236f9bf9db5025c8af31dd84cd19208da3e5e9ff69eec9436965",
236
236
  "spec/v2/core/workflow-chain-packs.md": "df78b76dd79f2267fb6b72c08e0911e5f9d5bb1925c6efdd6deda62fe8a51dc8",
237
- "spec/v2/declaration.json": "83ba35c0d1d059f420edee62e4c1b96e3d8bd35394106e8a5ae684e502dcd99e",
237
+ "spec/v2/declaration.json": "e30b1c90c00e375f0bfcd8254b8c57d30a71ad8b4942ebe8ca7b132ae6e57ac4",
238
238
  "spec/v2/declaration.schema.json": "c86e3083fb9789c1958ecb4576cc6f71aa90e6f339521139238543ed08211dd4",
239
239
  "spec/v2/errors.json": "aac91b12f954cc90574d310070ae3c651b131055d4389d2c6155242763765195",
240
240
  "spec/v2/event-codemap.json": "37869a03cdfd8758b57e6f350641a6ebbd383231cebda51f5473ad85f94ab74c",
@@ -274,8 +274,8 @@
274
274
  "spec/v2/path-manifest.json": "c123c9fd77dc1b3f9c2e9346ace80cdae007e6511138894956abda01e61ec1c6",
275
275
  "spec/v2/peer-dependency-aliases.json": "d10299280abee08258502925bc327293ee413e0108cd6e6ec75ff6110653308d",
276
276
  "spec/v2/profiles.json": "0636f19fceae625390003a347e70ef4797d84766b5c24ce8a02cea52aadebca4",
277
- "spec/v2/release.json": "a4995ef4ad7eb62cdea10f81a66dd4b2118fbbbf78f97bf317754b4d5828b8f2",
277
+ "spec/v2/release.json": "c9bb111a222ba7c65a6b9769c6455e2d8d1469f7dab1648554e7d4b58f11ac3e",
278
278
  "spec/v2/retention-floors.json": "eaf3722d95c79947af1d4269ef85117e126518c588cfcf1a2b21b97269f51624"
279
279
  },
280
- "corpusCommit": "2315663a0447fe056fc07b230a8b1edd9ab0a94c"
280
+ "corpusCommit": "085bb5d265734dfa836c213e7f0df6605872ad28"
281
281
  }
package/api/seams-v2.yaml CHANGED
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP conformance seams profile (openwop-conformance-seams-v2)
4
- version: 2.12.0
4
+ version: 2.13.0
5
5
  description: 'GENERATED by scripts/derive-v2-api.py. RFC 0168 §C: the seams are a versioned conformance profile with their
6
6
  own document and path space (/conformance/seams/…), validated against the canonical v2 schemas with no tolerance path,
7
7
  forbidden from the capability namespace (a host advertises the profile, never a testSeams flag). This document carries
@@ -1,7 +1,7 @@
1
1
  asyncapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 event streams
4
- version: 2.12.0
4
+ version: 2.13.0
5
5
  description: GENERATED by scripts/derive-v2-api.py (RFC 0171 §E.1, RFC 0172 §C.2). One run-events channel whose address
6
6
  is the OpenAPI path key; the server pathname is empty (bare origin). streamMode is a pattern over the closed set and its
7
7
  comma-separated combinations (`values` never combines). hostEvents has a real address (RFC 0171 §E.1) — the documented
@@ -1,7 +1,7 @@
1
1
  openapi: 3.1.0
2
2
  info:
3
3
  title: OpenWOP v2 API
4
- version: 2.12.0
4
+ version: 2.13.0
5
5
  summary: REST surface for declaring, executing, suspending, resuming, and observing multi-step workflows.
6
6
  description: GENERATED by scripts/derive-v2-api.py from api/openapi.yaml and the RFC 0167 children (v2 charter Phase 3,
7
7
  P3-C). Bare origin, unversioned path keys, negotiation by `OpenWOP-Version` + `protocolVersions[]` (RFC 0172 §A). No seam
package/package.json CHANGED
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "name": "@openwop/spec-artifacts",
3
- "version": "2.12.0",
3
+ "version": "2.13.0",
4
4
  "description": "The OpenWOP machine-readable contract: api/ (OpenAPI, AsyncAPI, the seams profile), schemas/ (v1 and v2 JSON Schemas), the spec/v1 and spec/v2 registries (errors, event codemap, declaration, deprecations, migrations, gaps) and CORPUS-STAMP.json — published from the openwop/openwop corpus tag; the peer dependency @openwop/openwop-conformance digest-checks at start (RFC 0168 §D.2).",
5
5
  "license": "Apache-2.0",
6
6
  "repository": {
@@ -4,7 +4,7 @@
4
4
  "provenance": {
5
5
  "suite": {
6
6
  "package": "@openwop/openwop-conformance",
7
- "version": "2.12.0"
7
+ "version": "2.13.0"
8
8
  },
9
9
  "note": "Derived from the corpus at generation time. Regenerate with --write; verify with --check."
10
10
  },
@@ -419,5 +419,5 @@
419
419
  "$id": "https://openwop.dev/spec/v1/workspace-file.schema.json"
420
420
  }
421
421
  ],
422
- "digest": "f3b28f648806361342b494359245c1b6588a80e0998a60dd701a3712b42bc65e"
422
+ "digest": "4b8444b8f81ea9508b0bda36fcb2a2ddc4fef1c337a486cb71d536ba262a6446"
423
423
  }
package/spec/v1/gaps.json CHANGED
@@ -1,7 +1,7 @@
1
1
  {
2
2
  "$schema": "./gaps.schema.json",
3
3
  "version": 1,
4
- "updated": "2026-09-18",
4
+ "updated": "2026-09-19",
5
5
  "witnessClasses": [
6
6
  "witnessable-unaided",
7
7
  "witnessable-gated",
@@ -10348,6 +10348,23 @@
10348
10348
  }
10349
10349
  ]
10350
10350
  },
10351
+ {
10352
+ "id": "openwop.gap.0189.4",
10353
+ "rfc": "0189",
10354
+ "local": "G4",
10355
+ "section": "§B(c)",
10356
+ "surface": "A markdown TABLE is not one paragraph, but `split(/\\n\\s*\\n/)` treated it as one — so an RFC 2119 keyword ANYWHERE in a table satisfied EVERY family named anywhere in it. Measured: `versioning.md`'s 18-axis disposition table is a single 20-line block; `multiAgent` (row 13) and `schemaVersions` (row 6) were both satisfied by the `MUST` in row 15, which is about `minClientVersion`. Both rows name `events.md` as their owner in their own Owner column, and `events.md` mentions neither family. The gate green-lit both declarations, with the RFC 0191 marker in place — so the marker's \"explicit, local and reviewable\" guarantee was being read against a reference table where the claim is contradicted three rows away. Eleven of the then-57 undeclared families had a table-only match waiting.",
10357
+ "witness": "unclassified",
10358
+ "requirementId": null,
10359
+ "disposition": "closed",
10360
+ "target": null,
10361
+ "sources": [
10362
+ {
10363
+ "file": "RFCS/registers/0189-normative-home.gaps.md",
10364
+ "token": "G4"
10365
+ }
10366
+ ]
10367
+ },
10351
10368
  {
10352
10369
  "id": "openwop.gap.0190.1",
10353
10370
  "rfc": "0190",
@@ -1,6 +1,7 @@
1
1
  # Identity
2
2
 
3
3
  > **Status: Stable · RFC 0170, 0165, 0176.**
4
+ > **Normative home:** `auth`.
4
5
 
5
6
  ## Why this exists
6
7
 
@@ -1,6 +1,7 @@
1
1
  # Interop
2
2
 
3
3
  > **Status: Stable · RFC 0175.**
4
+ > **Normative home:** `a2a`, `mcp`.
4
5
 
5
6
  ## Why this exists
6
7
 
@@ -1,6 +1,7 @@
1
1
  # Runs
2
2
 
3
3
  > **Status: Stable · RFC 0170 §A, §D.1; RFC 0171 §D; RFC 0176 §B.1.**
4
+ > **Normative home:** `runList`.
4
5
 
5
6
  ## Why this exists
6
7
 
@@ -188,6 +188,7 @@
188
188
  {
189
189
  "key": "schemaVersions",
190
190
  "kind": "family",
191
+ "normativeText": ["spec/v1/capabilities.md"],
191
192
  "anchor": "core",
192
193
  "section": "core/capabilities.md#schemaVersions",
193
194
  "peerDependencyId": "schemaVersions",
@@ -603,6 +604,7 @@
603
604
  {
604
605
  "key": "multiAgent",
605
606
  "kind": "family",
607
+ "normativeText": ["spec/v1/multi-agent-execution.md"],
606
608
  "anchor": "core",
607
609
  "section": "core/capabilities.md#multiAgent",
608
610
  "peerDependencyId": "multiAgent",
@@ -1141,6 +1143,7 @@
1141
1143
  {
1142
1144
  "key": "a2a",
1143
1145
  "kind": "family",
1146
+ "normativeText": ["spec/v2/core/interop.md"],
1144
1147
  "anchor": "core",
1145
1148
  "section": "core/capabilities.md#a2a",
1146
1149
  "peerDependencyId": "a2a",
@@ -1406,6 +1409,7 @@
1406
1409
  {
1407
1410
  "key": "mcp",
1408
1411
  "kind": "family",
1412
+ "normativeText": ["spec/v2/core/interop.md"],
1409
1413
  "anchor": "core",
1410
1414
  "section": "core/capabilities.md#mcp",
1411
1415
  "peerDependencyId": "mcp",
@@ -1542,6 +1546,7 @@
1542
1546
  {
1543
1547
  "key": "auth",
1544
1548
  "kind": "family",
1549
+ "normativeText": ["spec/v2/core/identity.md"],
1545
1550
  "anchor": "core",
1546
1551
  "section": "core/capabilities.md#auth",
1547
1552
  "peerDependencyId": "auth",
@@ -1621,6 +1626,7 @@
1621
1626
  {
1622
1627
  "key": "runList",
1623
1628
  "kind": "family",
1629
+ "normativeText": ["spec/v2/core/runs.md"],
1624
1630
  "anchor": "core",
1625
1631
  "section": "core/capabilities.md#runList",
1626
1632
  "peerDependencyId": "runList",
@@ -1,6 +1,6 @@
1
1
  {
2
2
  "$comment": "RFC 0172 §D.1 — the one release identity the v2 artifacts derive from. `version` is the next corpus tag `v<version>` (the publish workflow's coordinated-release tag pattern `v*`; RFC 0172's `openwop/v2.<minor>.<patch>` spelling is amended to this at its flip). api/v2/*.yaml info.version, the suite's 2.x version and @openwop/spec-artifacts read it. Bumped by the release PR that cuts the tag, never by hand elsewhere.",
3
- "version": "2.12.0",
4
- "corpusTag": "v2.12.0",
3
+ "version": "2.13.0",
4
+ "corpusTag": "v2.13.0",
5
5
  "updated": "2026-09-18"
6
6
  }